Subject: Re: X server? telnet? rlogin?
From: [email-masked] (GNU Win32)

15 Apr 1998 07:14:57 -0700
Message-ID: <[email-masked]>
References: <23AE7DA9B3A9D11197CC00A0C99D758F2F5630@ca-exchange3>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Hi,

> 
> Please excuse me if this is a silly or obvious question.
> 
> I downloaded precompiled X11R6.3 from Andy Piper's site 
> (ftp://ftp.parallax.co.uk/pub/andyp/x11.tar.gz), and I couldn't find
> an X server in the package. That is, when an exceed server is running
> on my machine (NT 4.0 workstation), xlogo starts fine from a bash shell,
> but when I try xinit without exceed server running, it wants me to point
> it to an X server (with exceed running, twm complains that there's 
> already a window manager, which is correct, I suppose!) 

Just start exceed and then your X clients. No need to tinker with xinit,
unless you want to use another window manager (such as fvwm2 or mwm),
but if you  have exceed I don't see a great need for it.

> 
> The question is: is there an X server for win32, is it included in X11
> distribution, and if not, where can I get one? 
> 
> Another problem I have is that xterm (from X11 distribution above) wouldn't 
> run, even if exceed is running: xterm says 
> 
> 	Failed to open input method
> 	xterm:  unable to find usable termcap entry
>

There is a free X server from MicroImages; if you have exceed by all
means use it instead of the free one. For xterm you need a
/etc/termcap file. For additional info consult:

       http://dao.gsfc.nasa.gov/software/grads/win32/X11R6.3

BTW, the standard "xterm" on the distribution above uses GNU termcap 1.3
(from the error msg above it appears that Andy's version uses termcap as well).
I have also recompiled "xterm" with ncurses:

   ftp://dao.gsfc.nasa.gov/pub/uwm_coads/X11R6.3/xterm_ncurses.tar.gz

You will need to have the terminfo data base installed on 
/usr/local/share/terminfo. This works a little better with "less", but 
I don't seem able to use "vim" or "vile" with more than 25 lines, no matter 
what I set LINES or TERM to - this is true for both termcap and ncurses
versions.
 
> Finally, a totally unrelated question: there's no telnet or rlogin client in
> 
> b19 -- why, and where can I get one?
> 

Get remote.tar.gz from Sergey's site:  http://www.lexa.ru/sos

  Good Luck,

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".